Bug 1009367 - Problems tab: file information missing
Problems tab: file information missing
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: manstis
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 05:51 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manstis: needinfo+


Attachments (Terms of Use)
no info about invalid file (33.76 KB, image/png)
2013-09-18 05:51 EDT, Zuzana Krejčová
no flags Details
Path in Problems Panel for flawed processes (72.72 KB, image/png)
2013-10-15 16:14 EDT, manstis
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-09-18 05:51:17 EDT
Created attachment 799253 [details]
no info about invalid file

Description of problem:
For some types of problems, the information about which file is invalid is missing. This especially happens for invalid:
- enumerations
- combination of invalid process (missing end node) and invalid drl (process shown first, with file, drl second, no file) - processes seem to do strange things to the problems tab in general.
- work item definition
Comment 2 manstis 2013-09-27 08:22:10 EDT
Fixed Enums and Work Item Definitions.

Can you be a little more descriptive with regards to "processes seem to do strange things to the problems tab in general."

Thanks.
Comment 3 Zuzana Krejčová 2013-09-27 08:48:00 EDT
(In reply to manstis from comment #2)
> Fixed Enums and Work Item Definitions.
> 
> Can you be a little more descriptive with regards to "processes seem to do
> strange things to the problems tab in general."
> 
> Thanks.

I probably should've said Designer instead of processes.
I can't put a finger on it exactly, unfortunately. These things seem to be too connected to each other. I do know that, if you create a new process, the Problems panel first shows that start and end nodes are missing, then Designer finishes loading and the Problems panel is blank again. The information is there for a very short time.
Once I have something reasonably reproducible, I'll definitely let you know.
Comment 7 manstis 2013-10-15 16:14:15 EDT
Created attachment 812675 [details]
Path in Problems Panel for flawed processes
Comment 8 manstis 2013-10-15 16:16:05 EDT
See attached, taken from (I believe) CR5. Also consider https://bugzilla.redhat.com/show_bug.cgi?id=1009369 (as a possible duplicate to this) that affects the Problems Panel.
Comment 9 manstis 2013-10-15 16:17:19 EDT
If you find other file types lack "Path" in the Problems Panel please advise the specifics.
Comment 10 Zuzana Krejčová 2013-12-10 04:36:54 EST
Verified on ER5 - I can't find any occurrence of this, works even with processes (and that combination of a process and a drl).

Note You need to log in before you can comment on or make changes to this bug.